%global debug_package %{nil}

Name:           systemd-efi-stubs
Url:            https://www.freedesktop.org/wiki/Software/systemd
Version:        249
Release:        1%{?dist}

License:        LGPLv2+
Summary:        System and Service Manager

Source0:        https://github.com/systemd/systemd/archive/v%{version}/systemd-%{version}.tar.gz

ExclusiveArch:  x86_64 aarch64

%ifarch x86_64
%global efiarch x64
%endif

%ifarch aarch64
%global efiarch aa64
%endif

BuildRequires:  gcc
BuildRequires:  coreutils
BuildRequires:  elfutils-devel
BuildRequires:  pkgconfig
BuildRequires:  gawk
BuildRequires:  gnu-efi gnu-efi-devel
BuildRequires:  meson >= 0.43
BuildRequires:  gettext
BuildRequires:  gperf
BuildRequires:  python3dist(jinja2)
BuildRequires:  libcap-devel
BuildRequires:  libmount-devel

%description
This is the uefi stubs from systemd, built separately.

%prep
%autosetup -n systemd-%{version} -p1

%build

CONFIGURE_OPTS=(
        -Dmode=release
        -Defi=true
        -Dgnu-efi=true
        -Dservice-watchdog=
        -Dkmod=false
        -Dxkbcommon=false
        -Dblkid=false
        -Dfdisk=false
        -Dseccomp=false
        -Dima=false
        -Dselinux=false
        -Dapparmor=false
        -Dpolkit=false
        -Dxz=false
        -Dzlib=false
        -Dbzip2=false
        -Dlz4=false
        -Dzstd=false
        -Dpam=false
        -Dacl=false
        -Dsmack=false
        -Dopenssl=false
        -Dp11kit=false
        -Dgcrypt=false
        -Daudit=false
        -Delfutils=true
        -Dlibcryptsetup=false
        -Dpwquality=false
        -Dqrencode=false
        -Dgnutls=false
        -Dmicrohttpd=false
        -Dlibidn2=false
        -Dlibiptc=false
        -Dlibcurl=false
        -Dlibfido2=false
        -Dtpm=false
        -Dtpm2=false
        -Dhwdb=false
        -Dsysusers=false
        -Dstandalone-binaries=true
        -Ddefault-kill-user-processes=false
        -Dtests=unsafe
        -Dinstall-tests=false
        -Db_lto=false
        -Db_ndebug=false
        -Dman=false
        -Ddefault-dnssec=no
        -Ddefault-dns-over-tls=opportunistic
        -Ddefault-mdns=no
        -Ddefault-llmnr=resolve
        -Doomd=false
)

{ %meson "${CONFIGURE_OPTS[@]}"; }

%meson_build src/boot/efi/linux%{efiarch}.efi.stub

%install

mkdir -p %{buildroot}%{_prefix}/lib/%{name}/boot/efi
install -m 644 %{_vpath_builddir}/src/boot/efi/linux%{efiarch}.efi.stub %{buildroot}%{_prefix}/lib/%{name}/boot/efi/

%files
%{_prefix}/lib/%{name}

%changelog
* Wed Nov 10 2021 Alexander Larsson <alexl@redhat.com> - 249-1
- Initial version
